Close Position
curl --request DELETE \
--url https://api.{your-broker}.slate-labs.com/orders/{ticket}import requests
url = "https://api.{your-broker}.slate-labs.com/orders/{ticket}"
response = requests.delete(url)
print(response.text)const options = {method: 'DELETE'};
fetch('https://api.{your-broker}.slate-labs.com/orders/{ticket}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"order": 123,
"login": 123,
"symbol": "<string>",
"cmd": 123,
"type": "<string>",
"volume": 123,
"volume_closed": 123,
"open_price": 123,
"close_price": 123,
"open_time": "2023-11-07T05:31:56Z",
"close_time": "2023-11-07T05:31:56Z",
"sl": 123,
"tp": 123,
"commission": 123,
"storage": 123,
"profit": 123,
"exposure": 123,
"comment": "<string>",
"parent_order": 123,
"close_volume": 0,
"open_fx_rate": 1,
"close_fx_rate": 1,
"open_spread_bid": 0,
"open_spread_ask": 0,
"account_currency": "<string>",
"account_fx_rate": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Orders
Close Position
Close an open position (full or partial) at current market price.
Omit volume to close the entire position.
Provide volume to close only that many lots (partial close).
DELETE
/
orders
/
{ticket}
Close Position
Path Parameters
Query Parameters
Trading account login
Volume to close (omit for full close)
Required range:
x > 0Response
Successful Response